Package org.jmock.core

# Interface Verifiable

All Known Subinterfaces:
  `DynamicMock`, `Expectation`, `ExpectationCollection`, `InvocationDispatcher`, `InvocationMatcher`, `Invokable`

All Known Implementing Classes:
  `AbstractDynamicMock`, `AbstractExpectation`, `AbstractExpectationCollection`, `AbstractInvocationDispatcher`, `AnyArgumentsMatcher`, `ArgumentsMatcher`, `CoreMock`, `ExpectationCounter`, `ExpectationDoubleValue`, `ExpectationList`, `ExpectationMap`, `ExpectationSegment`, `ExpectationSet`, `ExpectationValue`, `FIFOInvocationDispatcher`, `InvocationMocker`, `InvokeAtLeastOnceMatcher`, `InvokeAtMostOnceMatcher`, `InvokeCountMatcher`, `InvokedAfterMatcher`, `InvokedRecorder`, `InvokeOnceMatcher`, `LIFOInvocationDispatcher`, `MethodNameMatcher`, `Mock`, `MockObject`, `NoArgumentsMatcher`, `ReturnObjectBag`, `ReturnObjectList`, `ReturnObjectMap`, `StatelessInvocationMatcher`, `TestFailureMatcher`

public interface Verifiable
A Verifiable is an object that can confirm at the end of a unit test that the correct behvaiour has occurred.

Since:
  1.0
See Also:
  - `Verifier to check all the Verifiables in an object.`

## Method Summary

Modifier and Type
Method
Description
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

## Method Details

### verify

void verify()
Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.